.rating-card {
    background: #FFF;
    max-width: 100%;
    margin-bottom: 2px;
    padding: 10px;
    border-radius: 5px;
    border: 1px solid #e5e5e5;
    display: flex;
    gap: 35px;
  }

  .left-section {
    width: 30%;
    text-align: center;
  }
  
 .left-section .number-label {
     padding-top: 15px;
     border-radius: 10px;
     border: 2px solid #5d646d;
 }

  .rating-number {
    font-family: 'Helvetica Neue', sans-serif !important;
    font-size: 60px;
    font-weight: bold;
    margin: 0;
  }

  .rating-label {
    font-family: 'Helvetica Neue', sans-serif !important;
    font-size: 18px;
    font-weight: 600;
    margin: 5px 0;
  }

  .bubbles {
    display: flex;
    justify-content: center;
    gap: 5px;
    margin-top: 15px;
    margin-bottom: 5px;
  }

  .bubble {
    width: 18px;
    height: 18px;
    border-radius: 50%;
    background: #e5e7eb;
    overflow: hidden;
    position: relative;
  }

  .bubble-fill {
    height: 100%;
    background: #00AA6C;
    width: 0%;
  }

  .review-count {
    font-family: 'Helvetica Neue', sans-serif !important;
    color: #FFF;
    background: #00aa6c;
    font-weight: 400;
    cursor: pointer;
    border-radius: 5px;
  }

  .right-section {
    flex: 1;
  }

  .rating-row {
     font-family: 'Helvetica Neue', sans-serif !important;
    display: flex;
    align-items: center;
    gap: 15px;
    margin-bottom: 0px;
  }

  .rating-row span {
     font-family: 'Helvetica Neue', sans-serif !important;
    font-size: 14px;
  }

  .bar-container {
    flex: 1;
    height: 8px;
    background: #e5e7eb;
    border-radius: 20px;
    overflow: hidden;
  }

  .bar-fill {
    height: 100%;
    background: #00AA6C;
    width: 0%;
    transition: width 0.8s ease;
  }